# Start command: composer update --classmap-authoritative && vendor/bin/phpstan analyze

includes:
    # https://github.com/phpstan/phpstan/blob/master/conf/bleedingEdge.neon
    - vendor/wpdesk/wp-wpdesk-composer/director/vendor/phpstan/phpstan/conf/bleedingEdge.neon
    # - phar://phpstan.phar/conf/bleedingEdge.neon
    - vendor/wpdesk/wp-wpdesk-composer/director/vendor/szepeviktor/phpstan-wordpress/extension.neon
parameters:
    level: max
    paths:
        - %currentWorkingDirectory%/src/
    autoload_files:
        - %currentWorkingDirectory%/vendor/autoload.php
        - %currentWorkingDirectory%/vendor/wpdesk/wp-wpdesk-composer/director/woocommerce-stubs-3.6.1.php
    excludes_analyse:
        - %currentWorkingDirectory%/src/Plugin/view/
    ignoreErrors:
        # Uses func_get_args()
         - '#^Function apply_filters(_ref_array)? invoked with [34567] parameters, 2 required\.$#'
#        - '#^Function do_action(_ref_array)? invoked with [3456] parameters, 1-2 required\.$#'
#        - '#^Function add_query_arg invoked with [123] parameters?, 0 required\.$#'

#    autoload_files:
#        # Missing constants, function and class stubs
#        - %currentWorkingDirectory%/tests/phpstan/bootstrap.php
#        # Plugin stubs
#        - %currentWorkingDirectory%/tests/phpstan/PLUGIN-stubs.php
#        # Procedural code
#        - %currentWorkingDirectory%/myplugin-functions.php
#    autoload_directories:
#        - %currentWorkingDirectory%/../woocommerce/
